"use strict";

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _toetag = require("toetag");

var _icon = require("./icon");

var _icon2 = _interopRequireDefault(_icon);

var _jssPreset = require("./jss-preset");

var _jssPreset2 = _interopRequireDefault(_jssPreset);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var styles = {
	innerAlert: {
		marginBottom: _toetag.bootstrap.paddingBaseVertical,
		display: "inline-block",
		textAlign: "left"
	},
	msgContainer: {
		display: "inline-block"
	},
	icon: {
		verticalAlign: "top",
		fontSize: _toetag.bootstrap.fontSizeH4,
		paddingRight: _toetag.bootstrap.paddingLargeHorizontal,
		opacity: 0.2
	},
	headline: {
		margin: 0,
		marginBottom: _toetag.bootstrap.paddingBaseVertical
	},
	body: {
		maxWidth: "40em"
	}
};

var Alert = function Alert(_ref) {
	var _ref$type = _ref.type;
	var type = _ref$type === undefined ? "info" : _ref$type;
	var message = _ref.message;
	var headline = _ref.headline;
	var onDismiss = _ref.onDismiss;
	var _ref$dismissTitle = _ref.dismissTitle;
	var dismissTitle = _ref$dismissTitle === undefined ? "Dismiss" : _ref$dismissTitle;
	var _ref$dismiss = _ref.dismiss;
	var dismiss = _ref$dismiss === undefined ? _react2.default.createElement(
		"button",
		{ type: "button", className: "close", title: dismissTitle, onClick: onDismiss },
		"\xD7"
	) : _ref$dismiss;
	var classes = _ref.sheet.classes;
	var _ref$showIcon = _ref.showIcon;
	var showIcon = _ref$showIcon === undefined ? true : _ref$showIcon;

	var props = _objectWithoutProperties(_ref, ["type", "message", "headline", "onDismiss", "dismissTitle", "dismiss", "sheet", "showIcon"]);

	var css = "alert alert-dismissible alert-" + type + " " + classes.innerAlert;

	return _react2.default.createElement(
		"div",
		props,
		_react2.default.createElement(
			"div",
			{ className: css },
			dismiss,
			showIcon ? _react2.default.createElement(_icon2.default, { className: classes.icon, type: type }) : null,
			_react2.default.createElement(
				"div",
				{ className: classes.msgContainer },
				headline ? _react2.default.createElement(
					"h4",
					{ className: classes.headline },
					headline
				) : null,
				_react2.default.createElement(
					"div",
					{ className: classes.body },
					message
				)
			)
		)
	);
};

exports.default = (0, _jssPreset2.default)(Alert, styles);